com.sap.conn.jco

## Class JCoRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.conn.jco.JCoRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConversionException, XMLParserException

      public class JCoRuntimeException
      extends RuntimeException

  Basic JCo exception for JCo runtime exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCoRuntimeException(int group, String message)` Creates an instance of the exception object with the specified message and group.
    `JCoRuntimeException(int group, String key, String message)` Creates an instance of the exception object with the specified message, group, and key.
    `JCoRuntimeException(int group, String key, String message, Throwable causedBy)` Creates an instance of the exception object with the specified message, group, key, and cause exception.
    `JCoRuntimeException(int group, String message, Throwable causedBy)` Creates an instance of the exception object with the specified message, group, and cause exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGroup()` Returns the error group.
    `String` | `getKey()` Returns the error key.
    `String` | `toString()` Returns a short description of this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JCoRuntimeException

          public JCoRuntimeException(int group,
                             String message)

      Creates an instance of the exception object with the specified message and group.
      Parameters:
        `group` - the error group
        `message` - the specified detail message.
      Since:
        JCo 3.0.6

    - #### JCoRuntimeException

          public JCoRuntimeException(int group,
                             String key,
                             String message)

      Creates an instance of the exception object with the specified message, group, and key.
      Parameters:
        `group` - the error group
        `key` - error code to identify the error
        `message` - the specified detail message.

    - #### JCoRuntimeException

          public JCoRuntimeException(int group,
                             String message,
                             Throwable causedBy)

      Creates an instance of the exception object with the specified message, group, and cause exception.
      Parameters:
        `group` - the error group
        `message` - the specified detail message.
        `causedBy` - the cause exception
      Since:
        JCo 3.0.6

    - #### JCoRuntimeException

          public JCoRuntimeException(int group,
                             String key,
                             String message,
                             Throwable causedBy)

      Creates an instance of the exception object with the specified message, group, key, and cause exception.
      Parameters:
        `group` - the error group
        `key` - error code to identify the error
        `message` - the specified detail message.
        `causedBy` - the cause exception

  - ### Method Detail

    - #### getGroup

          public final int getGroup()

      Returns the error group. Valid error groups are the constants `JCoException.JCO_ERROR*`.
      Returns:
        the error group

    - #### getKey

          public final String getKey()

      Returns the error key.
      Returns:
        the error key

    - #### toString

          public String toString()

      Returns a short description of this exception.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        a string representation of this `JCoRuntimeException`.

Copyright © 2016 SAP. All Rights Reserved.